Subject: Re: [Bitcoin-development] About the small number of bitcoin nodes

From: Bjørn Øivind Bjørnsen<[email-masked]>
Date: Mon, 19 May 2014 14:24:35 +0200

On 19/05/14 14:15, Mike Hearn wrote:
>     As an interested party not intimately familiar with the bitcoin codebase
>     who also spent some time setting up a node a while ago, I would like to
>     add one thing to the above list - network rate limiting.
> 
> 
> The problem is that this is easier said than done. Bitcoin Core won't
> notice a remote peer is working but slow and switch to a faster one, and
> even if it did, it'd just mean throttling your connection would cause
> all remote nodes to give up and hit the other unthrottled peers even more.
> 

Does this mean that you can currently actively hurt the network by
adding a node with a very slow upstream / downstream? If so, what is the
recommended minimum amount of bandwidth you should allocate for a node?
I've already throttled mine with QoS based on the script in the contrib/
folder.

Bjørn Øivind